RewriteEngine On

# Capturar webhook_pagopar.php seguido de hash concatenado
RewriteRule ^webhook_pagopar\.php([a-zA-Z0-9]+)$ webhook_pagopar.php?hash=$1 [QSA,L]

# Capturar resultado_pago_pagopar.php seguido de hash concatenado
RewriteRule ^resultado_pago_pagopar\.php([a-fA-F0-9]+)$ resultado_pago_pagopar.php?hash=$1 [QSA,L]

# Otras reglas de rewrite si las hay...